Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modhelxs.util
Class Logging

    java.lang.Object
      modhelxs.util.Logging

    public class Logging

extends java.lang.Object

Logging provides functions for setting the logging level of java.util.logging loggers.

Author:
  boulange

Constructor Summary
`Logging()`

Method Summary
`static java.util.logging.Logger` | `getLogger(java.lang.String name)` Get the logger named `name`.
`static java.util.logging.Level` | `getLoggingLevel(java.lang.String name)` Get the logging level for `name`.
`static boolean` | `isLogging(java.lang.String name, java.util.logging.Level l)` Tell if logger `name` is logging when level is `l`.
`static void` | `setLoggingLevel(java.lang.String name, java.util.logging.Level l)` Set the logging level of logger `name` to level `l`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logging

    public Logging()

Method Detail

### setLoggingLevel

    public static void setLoggingLevel(java.lang.String name,
                                       java.util.logging.Level l)

  Set the logging level of logger `name` to level `l`.

### getLoggingLevel

    public static java.util.logging.Level getLoggingLevel(java.lang.String name)

  Get the logging level for `name`.

### isLogging

    public static boolean isLogging(java.lang.String name,
                                    java.util.logging.Level l)

  Tell if logger `name` is logging when level is `l`.

### getLogger

    public static java.util.logging.Logger getLogger(java.lang.String name)

  Get the logger named `name`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD